Subject: Re: need help getting SPI controller working on 405EX

From: Nathan French <[email-masked]>
Date: Mon, 10 Aug 2009 09:07:15 -0700

Lorenz, thanks for the reply.

> For getting spidev devices you have to add entries for an spidev device 
> to your newly created spi-"bus". So what you are currently missing are 
> the spidev child-nodes in the device tree.
> As I'm currently cut off from some device to test, no guaranty that it 
> will work, but your dts entry should look something like:
> 
>               SPI0: spi@ef600600 {
>                   cell-index = <0>;
>                   compatible = "ibm,spi-405ex", "ibm,spi";
>                   reg = <ef600600 6>;
>                   interrupts = <8 4>;
>                   interrupt-parent = <&UIC0>;
>                   mode = "cpu";
> 
>                   yourdevice@0 {
>                       compatible = "spidev";
>                       spi-max-frequency = <1000000>; /* what ever your 
> max-freq. is */
>                       reg = <0>; /* Chipselect-address */
>                   };
>               };

This did not appear to have any effect.

> At least something similar worked for me some months ago (before we 
> switched to a "real" driver for some custom peripheral).

Did this work on a 4xx PowerPC platform?  Or something else?  I've been
told that there is no SPI driver for 4xx.  If you have done this on 4xx
then I'm very interested.

Thanks,

Nathan